cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}
{
"link": {
"id": "<string>",
"nativeUser": {
"id": "<string>",
"resourceId": "<string>",
"username": "<string>",
"secret": "<string>",
"useAsDefault": true,
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"basic": {
"username": "<string>",
"usernameIsEnv": true,
"password": "<string>",
"passwordIsEnv": true
},
"httpApiKey": {
"key": "<string>",
"value": "<string>"
},
"httpBasic": {
"header": "<string>",
"username": "<string>",
"password": "<string>"
},
"httpBearer": {
"header": "<string>",
"token": "<string>"
},
"iam": {
"role": "<string>",
"username": "<string>"
},
"kubernetes": {
"kubeconfigEnv": "<string>"
},
"snowflakeKey": {
"username": "<string>",
"key": "<string>"
},
"sshKey": {
"username": "<string>",
"key": "<string>"
}
},
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"group": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"dsyncGroupId": "<string>",
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resourceHostname": {
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"resource": {
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"port": 123,
"environment": "<string>",
"terminationProtection": true,
"spaceId": "<string>",
"space": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"key": "<string>",
"value": "<string>",
"id": "<string>"
}
],
"aliases": [
"<string>"
]
},
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"user": {
"id": "<string>",
"dbUsername": "<string>",
"terminationProtection": true,
"expireAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupIds": [
"<string>"
],
"fullName": "<string>",
"human": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"machine": {
"name": "<string>"
}
}
}
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}core.v1.ResourceService
UpdateNativeUserIdentityLinkV2
POST
/
core.v1.ResourceService
/
UpdateNativeUserIdentityLinkV2
cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"example": "value"
}'fetch("https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2", {
method: "POST",
headers: {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
example: "value"
})
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));import requests
url = "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2"
headers = {
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"example": "value"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.joinformal.com/core.v1.ResourceService/UpdateNativeUserIdentityLinkV2"
body := map[string]string{
"example": "value",
}
jsonData, _ := json.Marshal(body)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}
{
"link": {
"id": "<string>",
"nativeUser": {
"id": "<string>",
"resourceId": "<string>",
"username": "<string>",
"secret": "<string>",
"useAsDefault": true,
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"basic": {
"username": "<string>",
"usernameIsEnv": true,
"password": "<string>",
"passwordIsEnv": true
},
"httpApiKey": {
"key": "<string>",
"value": "<string>"
},
"httpBasic": {
"header": "<string>",
"username": "<string>",
"password": "<string>"
},
"httpBearer": {
"header": "<string>",
"token": "<string>"
},
"iam": {
"role": "<string>",
"username": "<string>"
},
"kubernetes": {
"kubeconfigEnv": "<string>"
},
"snowflakeKey": {
"username": "<string>",
"key": "<string>"
},
"sshKey": {
"username": "<string>",
"key": "<string>"
}
},
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"group": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"dsyncGroupId": "<string>",
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resourceHostname": {
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"resource": {
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"port": 123,
"environment": "<string>",
"terminationProtection": true,
"spaceId": "<string>",
"space": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"key": "<string>",
"value": "<string>",
"id": "<string>"
}
],
"aliases": [
"<string>"
]
},
"terminationProtection": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"user": {
"id": "<string>",
"dbUsername": "<string>",
"terminationProtection": true,
"expireAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupIds": [
"<string>"
],
"fullName": "<string>",
"human": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"machine": {
"name": "<string>"
}
}
}
}{
"code": "invalid_request",
"message": "Invalid request parameters",
"details": {}
}{
"code": "unauthorized",
"message": "Authentication required"
}{
"code": "forbidden",
"message": "Insufficient permissions to perform this action"
}{
"code": "not_found",
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Authorizations
API key authentication. Get your API key from the Formal console.
Body
application/json
Exactly one of these fields is required: group or resource_hostname or user.
Show child attributes
Show child attributes
Response
Success
Exactly one of these fields is required: group or resource_hostname or user.
Show child attributes
Show child attributes
Was this page helpful?
⌘I